#include<bits/stdc++.h>
using namespace std;

int main()
{
    string S, T;
    cin >> T >> S;
    
    int lenS = S.length(); 
    int lenT = T.length();
    int qnt[10];
    
    for(int i = 0; i < lenT; i++)
    {
        for(int j = 0; j < lenS; j++)
        {
            if(S[j] == T[i]){ qnt[j]++;}
        }
    }
    
    int letterQnt = 0;
    for(int i = 0; i < lenS; i++)
    {
        if(qnt[i] < qnt[letterQnt]){ letterQnt = i;}
    }
    
    char letter = S[letterQnt];
    
    cout << qnt[letterQnt] << endl;
    for(int i; i < lenT; i++)
    {
        if(T[i] == letter){ cout << "*";}
        else{ cout << T[i];}
    }
}